AWS
probe ASG

# describe_auto_scaling_groups

Returns AWS descriptions for provided ASG(s)

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | describe_auto_scaling_groups
Return | mapping

Usage

JSON

    {
      "name": "describe-auto-scaling-groups",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "describe_auto_scaling_groups"
      }
    }

YAML

    name: describe-auto-scaling-groups
    provider:
      func: describe_auto_scaling_groups
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names

One of *asg_names: a list of one or more asg names *tags: a list of key/value pair to identify asg(s) by

`tags` are expected as a list of dictionary objects:

    [
      {'Key': 'TagKey1', 'Value': 'TagValue1'},
      {'Key': 'TagKey2', 'Value': 'TagValue2'},
      ...
    ]

Signature

    def describe_auto_scaling_groups(
            asg_names: List[str] = None,
            tags: List[Dict[str, Any]] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action ASG

  ## `resume_processes`

  Resumes 1 or more suspended processes on a list of auto-scaling groups.
- AWS
  probe ASG

  ## `instance_count_by_health`

  Reports the number of instances currently in the ASG by their health status
- AWS
  probe ASG

  ## `is_scaling_in_progress`

  Check if there is any scaling activity in progress for ASG matching tags